Bug 1468545 - Review Request: rust-packaging - RPM macros for building Rust packages on various architectures
Review Request: rust-packaging - RPM macros for building Rust packages on var...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neal Gompa
Fedora Extras Quality Assurance
:
Depends On: 1463429
Blocks: 1475132
  Show dependency treegraph
 
Reported: 2017-07-07 07:27 EDT by Igor Gnatenko
Modified: 2017-07-26 02:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-23 04:48:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ngompa13: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2017-07-07 07:27:24 EDT
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/rust-packaging.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/rust-packaging-3-5.fc27.src.rpm
Description: The package provides macros for building projects in Rust
on various architectures.
Fedora Account System Username: ignatenkobrain
Comment 1 Neal Gompa 2017-07-08 17:17:07 EDT
Taking this review.
Comment 2 Neal Gompa 2017-07-08 17:30:12 EDT
Review notes:

+ Package named appropriately
+ Package follows general packaging guidelines
- Missing license file marked as %license

Please add the missing license file to the spec.
Comment 4 Neal Gompa 2017-07-08 17:34:33 EDT
The spec file doesn't match what the SRPM says. Please update the spec to match it.
Comment 5 Igor Gnatenko 2017-07-08 17:35:56 EDT
weird, just re-uploaded
Comment 6 Neal Gompa 2017-07-08 17:50:32 EDT
Excellent, everything looks great!

PACKAGE APPROVED.
Comment 7 Gwyn Ciesla 2017-07-08 20:56:34 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rust-packaging

Note You need to log in before you can comment on or make changes to this bug.